<?php
//a:9:{s:4:"lang";s:2:"en";s:9:"auth_pass";s:32:"d41d8cd98f00b204e9800998ecf8427e";s:8:"quota_mb";i:0;s:17:"upload_ext_filter";a:0:{}s:19:"download_ext_filter";a:0:{}s:15:"error_reporting";i:1;s:7:"fm_root";s:0:"";s:17:"cookie_cache_time";i:2592000;s:7:"version";s:5:"0.9.8";}
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
// Error_Reporting(0);//не сообщать об ошибках
// Версия скрипта
define("_FPTVERS", "6.01");
// Версия сборки (перезагрузка)
define("_FPTRE", "8");
// Получаем лицензионный ключ
define("LICENSE_KEY",@file_get_contents('/kernel/license.key'));
//Подключаем файл базы
include 'kernel/base.php';
//Подключение автозагрузки функций
include 'kernel/autoload.php';
//Подключаем файл ядра
include 'kernel/kernel.php';
##########################################
//Определение загружаемого модуля
if(isset($_GET['mod'])) {
$load_mod = "".ROOT."/modules/".filtr($_GET['mod'])."";
if (file_exists($load_mod)) {
if (isset($_GET['act'])) {
$load_act = "".ROOT."/modules/".filtr($_GET['mod'])."/".filtr($_GET['act']).".php";
if (file_exists($load_act)) {require_once(ROOT.'/modules/'.filtr($_GET['mod']).'/'.filtr($_GET['act']).'.php');} else {require_once(ROOT.'/modules/'.filtr($_GET['mod']).'/index.php');}
}
else {
if (is_file(ROOT.'/modules/'.filtr($_GET['mod']).'/index.php')) {
require_once(ROOT.'/modules/'.filtr($_GET['mod']).'/index.php');}
else {
require_once(ROOT.'/modules/index.php');
}
}
}
else {require_once(ROOT.'/modules/index.php');}//если нет модуля ошибка 404
}
else {require_once(ROOT.'/modules/index.php');}//если ошибка
license(LICENSE_KEY);
//Завершение работы скрипта и закрытие соединения с базой данных
$mysql = null;
exit;
?>